// GeneralInclude.hpp
//

#ifndef GeneralInclude_hpp
#define GeneralInclude_hpp

#include "TwoFactorPde.hpp"
#include "TwoFactorBlackScholesUnitTransformedPde.hpp"
#include "GenericParabolicPde.hpp"
#include "TwoFactorPdeDomain.hpp"
#include "ExcelDriver.hpp"
#include "DatasimException.hpp"

// In this new version we have used uBLAS datastructures instead of Datasim
// Vector and NumericMatrix.
#include <boost/numeric/ublas/matrix.hpp>		// The matrix class.
#include <boost/numeric/ublas/matrix_proxy.hpp>		// The matrix range/slice.
#include <boost/numeric/ublas/io.hpp>			// Sending to IO stream.
namespace u = boost::numeric::ublas;

#include <boost/math/distributions/normal.hpp>
#include <boost/math/distributions.hpp> // For non-member functions of distributions
using namespace boost::math;

#include <boost/function.hpp>
//#include <boost/tuple/tuple.hpp>
//using boost::tuple;

#include <iostream>
#include <cmath>
#include <list>
#include <string>
#include <algorithm>
using namespace std;

#endif