#include "ExactFormulae.hpp"

int main()
{

	TwoFactorBasketData data;
	data.s1 = 0.2; data.s2 = 0.2; data.rho = -0.5; 
	data.b1 = 0.04; data.b2 = 0.06; // b = r - q for dividend paying stock
	data.T = 0.5;
	data.r = 0.1;
	data.Q1 = 1; data.Q2 = 1;

	/*data.s1 = 0.18; data.s2 = 0.12; data.rho = 0.8; 
	data.b1 = 0.02; data.b2 = 0.04;
	data.T = 0.5;
	data.r = 0.1;
	data.Q1 = 1; data.Q2 = 1;*/

	data.print();

	double S1 = 22.0; double S2 = 20.0;
	cout << "Exchange option price: " << Margrabe(data, S1, S2) << endl;

	S1 = 130.0; S2 = 100.0;
	data.s1 = 0.3; data.s2 = 0.4; data.rho = -0.5; 
	data.b1 = 0.05; data.b2 = 0.03; // b = r - q for dividend paying stock
	data.T = 0.5;
	data.r = 0.07; data.K = 3.0;
	data.print();
	cout << "Outperformance option put price: " << OutperformanceOption(data, S1, S2, -1) << endl;
	cout << "Outperformance option call price: " << OutperformanceOption(data, S1, S2, +1) << endl;

	return 0;
}
