// StringConversions.hpp
//
// Handy string functions. Using old-style C!!
//
// (C) Datasim Education BV 2006-2012
//

#ifndef StringConversions_HPP
#define StringConversions_HPP

#include <string>
#include <list>
using namespace std;
#include <stddef.h>
#include <boost/numeric/ublas/vector.hpp>
namespace u = boost::numeric::ublas;
// Simple and useful string converters
string getString(long j);

string getString(int j);

string getString(size_t j);

string getString(double d);


// Convert an array to a list of strings
list<string> convertToString(const u::vector<double>& arr);

#endif